Main Page Modules Data Structures File List Data Fields Globals Related Pages

# python/hash.h File Reference

More...

Go to the source code of this file.

## Data Structures
struct | ht_iterator
## Typedefs
typedef hash_table * | hashTable
typedef ht_iterator | htIterator
## Functions
hash_table * | htNewTable (int size)
void | htFreeHashTable (struct hash_table *ht)
void | htHashStats (const struct hash_table *t)
int | htInTable (struct hash_table *t, const char *dir, const char *base)
void | htAddToTable (struct hash_table *t, const char *dir, const char *base)
void | htPrintHashStats (struct hash_table *t)
int | htNumEntries (struct hash_table *t)
void | htRemoveFromTable (struct hash_table *t, const char *dir, const char *base)
void | htIterStart (htIterator *iter)
int | htIterGetNext (struct hash_table *t, htIterator *iter, const char **dir, const char **base)

## Detailed Description

Definition in file hash.h.

## Typedef Documentation

typedef struct hash_table* hashTable

| Definition at line 9 of file hash.h.

typedef struct ht_iterator htIterator

| Definition at line 16 of file hash.h.

## Function Documentation

void htAddToTable | ( | struct hash_table * | t,
|  | const char * | dir,
|  | const char * | base
| ) |

| Definition at line 132 of file hash.c. Referenced by compareFileList.

void htFreeHashTable | ( | struct hash_table * | ht | ) |

| Definition at line 52 of file hash.c. Referenced by ugFindUpgradePackages.

void htHashStats | ( | const struct hash_table * | t | ) |

| Definition at line 70 of file hash.c.

int htInTable | ( | struct hash_table * | t,
|  | const char * | dir,
|  | const char * | base
| ) |

| Definition at line 121 of file hash.c. Referenced by findPackagesWithRelocatedFiles, and removeMovedFilesAlreadyHandled.

int htIterGetNext | ( | struct hash_table * | t,
|  | htIterator * | iter,
|  | const char ** | dir,
|  | const char ** | base
| ) |

| Definition at line 184 of file hash.c.

void htIterStart | ( | htIterator * | iter | ) |

| Definition at line 179 of file hash.c.

struct hash_table* htNewTable | ( | int | size | ) |

| Definition at line 31 of file hash.c. Referenced by ugFindUpgradePackages.

int htNumEntries | ( | struct hash_table * | t | ) |

| Definition at line 175 of file hash.c.

void htPrintHashStats | ( | struct hash_table * | t | ) |

void htRemoveFromTable | ( | struct hash_table * | t,
|  | const char * | dir,
|  | const char * | base
| ) |

| Definition at line 157 of file hash.c. Referenced by findPackagesWithRelocatedFiles, and removeMovedFilesAlreadyHandled.